> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain the current rate limit usage for Smart Deposit Address creation

> This endpoint allows you to see what your total number of generated Smart Deposit Addresses is, as well as what any limits across any frequencies are.



## OpenAPI

````yaml https://api.rhino.fi/sda/swagger.json get /deposit-addresses/rate-limit-status
openapi: 3.1.0
info:
  title: SDA API
  version: 0.0.1
  description: Functionality for interacting with Rhino SDA service
servers:
  - url: https://api.rhino.fi/sda
security: []
tags:
  - name: depositAddresses
paths:
  /deposit-addresses/rate-limit-status:
    get:
      tags:
        - depositAddresses
      summary: Obtain the current rate limit usage for Smart Deposit Address creation
      description: >-
        This endpoint allows you to see what your total number of generated
        Smart Deposit Addresses is, as well as what any limits across any
        frequencies are.
      operationId: depositAddresses.rateLimitStatus
      parameters: []
      responses:
        '200':
          description: SdaRateLimitStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SdaRateLimitStatusResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    SdaRateLimitStatusResponse:
      type: object
      required:
        - totalLimit
        - totalCreated
        - windowLimit
      properties:
        totalLimit:
          anyOf:
            - type: object
              required:
                - _tag
                - value
              properties:
                _tag:
                  type: string
                  enum:
                    - limited
                value:
                  $ref: '#/components/schemas/NonNegative'
                  description: >-
                    The total number of Smart Deposit Addresses that can be
                    generated by the user.
                  title: int
                  type: integer
              additionalProperties: false
            - type: object
              required:
                - _tag
              properties:
                _tag:
                  type: string
                  enum:
                    - unlimited
              additionalProperties: false
          description: >-
            The total number of Smart Deposit Addresses that can be generated by
            the user.
        totalCreated:
          $ref: '#/components/schemas/NonNegative'
          description: >-
            The total number of Smart Deposit Addresses created by the user
            (lifetime count).
          title: int
          type: integer
        windowLimit:
          anyOf:
            - type: object
              required:
                - _tag
                - value
                - durationMs
              properties:
                _tag:
                  type: string
                  enum:
                    - limited
                value:
                  $ref: '#/components/schemas/NonNegative'
                  description: >-
                    The maximum number of Smart Deposit Addresses allowed to be
                    generated within the time window.
                  title: int
                  type: integer
                durationMs:
                  type: number
                  description: Rolling time window duration in milliseconds.
                  title: nonNegative
                  minimum: 0
              additionalProperties: false
            - type: object
              required:
                - _tag
              properties:
                _tag:
                  type: string
                  enum:
                    - unlimited
              additionalProperties: false
          description: >-
            Any time-window limits also set on the user for Smart Deposit
            Address creation.
        windowCreated:
          $ref: '#/components/schemas/NonNegative'
          description: >-
            The number of Smart Deposit Addresses created by the user within the
            current time window.
          title: int
          type: integer
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    NonNegative:
      type: number
      description: a non-negative number
      title: nonNegative
      minimum: 0
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````